org.apache.xerces.util

## Class SymbolHash.Entry

- java.lang.Object
- - org.apache.xerces.util.SymbolHash.Entry

- Enclosing class:
    SymbolHash

      protected static final class SymbolHash.Entry
      extends java.lang.Object

  This class is a key table entry. Each entry acts as a node in a linked list.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Object` | `key`
    `SymbolHash.Entry` | `next` The next entry.
    `java.lang.Object` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entry()`
    `Entry(java.lang.Object key, java.lang.Object value, SymbolHash.Entry next)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SymbolHash.Entry` | `makeClone()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### key

          public java.lang.Object key

    - #### value

          public java.lang.Object value

    - #### next

          public SymbolHash.Entry next

      The next entry.

  - ### Constructor Detail

    - #### Entry

          public Entry()

    - #### Entry

          public Entry(java.lang.Object key,
                       java.lang.Object value,
                       SymbolHash.Entry next)

  - ### Method Detail

    - #### makeClone

          public SymbolHash.Entry makeClone()

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.